Fish Audio 文字轉語音
使用文字轉語音端點,在同一回應中接收結果。
概覽
使用文字轉語音端點,並從同一回應中讀取結果。
快速入門
- 建立 API 金鑰並將其設定為 RUNAPI_API_KEY。
- 傳送主體符合請求 Schema 的 POST 請求。
- 從成功的回應主體中讀取結果。
端點
- 基礎 URL
https://runapi.ai- API 版本
v1- 身份驗證
Authorization: Bearer YOUR_API_TOKEN
支援的模型
開啟模型頁面以查看當前定價、速率限制及商業用途詳情。
請求結構
僅傳送此端點宣告的欄位。
s19 個欄位
bitrate_kbpsintegerMP3 位元率。WAV 輸出不接受此參數。
允許值:64, 128, 192
預設值: 128
modelstring模型標識符。
output_formatstring輸出音訊格式。
允許值:mp3, wav
預設值: mp3
referencesarray此請求的內嵌參考音頻樣本。
references[].audiostringBase64 編碼的原始音訊位元組。
references[].textstring參考音訊的確切逐字稿。
sample_rate_hzinteger輸出採樣率。MP3 支援 32000 及 44100 Hz;WAV 支援所有列出的數值。
允許值:8000, 16000, 24000, 32000, 44100
預設值: 44100
textstringvoice_idstrings2-pro9 個欄位
bitrate_kbpsintegerMP3 位元率。WAV 輸出不接受此參數。
允許值:64, 128, 192
預設值: 128
modelstring模型標識符。
output_formatstring輸出音訊格式。
允許值:mp3, wav
預設值: mp3
referencesarray此請求的內嵌參考音頻樣本。
references[].audiostringBase64 編碼的原始音訊位元組。
references[].textstring參考音訊的確切逐字稿。
sample_rate_hzinteger輸出採樣率。MP3 支援 32000 及 44100 Hz;WAV 支援所有列出的數值。
允許值:8000, 16000, 24000, 32000, 44100
預設值: 44100
textstringvoice_idstrings2.1-pro9 個欄位
bitrate_kbpsintegerMP3 位元率。WAV 輸出不接受此參數。
允許值:64, 128, 192
預設值: 128
modelstring模型標識符。
output_formatstring輸出音訊格式。
允許值:mp3, wav
預設值: mp3
referencesarray此請求的內嵌參考音頻樣本。
references[].audiostringBase64 編碼的原始音訊位元組。
references[].textstring參考音訊的確切逐字稿。
sample_rate_hzinteger輸出採樣率。MP3 支援 32000 及 44100 Hz;WAV 支援所有列出的數值。
允許值:8000, 16000, 24000, 32000, 44100
預設值: 44100
textstringvoice_idstring條件規則
當所有列出的條件均符合時,這些要求方才適用。
-
當
output_format = wav- 必填
- 不接受
bitrate_kbps
-
當
output_format = mp3- 必填
- 不接受
-
當
output_format = {"present" => false}- 必填
- 不接受
成功回應
POST /api/v1/fish_audio/text_to_speech
回應結構
{
"properties": {
"audios": {
"items": {
"properties": {
"format": {
"type": "string"
},
"mime_type": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"url": {
"type": "string",
"x-runapi-generated-media": true
}
},
"required": [
"url",
"format",
"mime_type",
"size_bytes"
],
"type": "object",
"unevaluatedProperties": false
},
"type": "array"
},
"billing": {
"properties": {
"refund": {
"oneOf": [
{
"properties": {
"refunded_at": {
"type": "string"
}
},
"required": [
"refunded_at"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"reservation": {
"oneOf": [
{
"properties": {
"amount_cents": {
"type": "integer"
}
},
"required": [
"amount_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"settlement": {
"oneOf": [
{
"properties": {
"amount_micro_cents": {
"type": "integer"
},
"charged_amount_cents": {
"type": "integer"
}
},
"required": [
"charged_amount_cents",
"amount_micro_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
}
},
"required": [
"reservation",
"settlement",
"refund"
],
"type": "object",
"unevaluatedProperties": false
},
"id": {
"type": "string"
},
"status": {
"enum": [
"completed"
],
"type": "string"
}
},
"required": [
"id",
"status",
"audios",
"billing"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
{
"audios": [
{
"format": "mp3",
"mime_type": "audio/mpeg",
"size_bytes": 128,
"url": "https://file.runapi.ai/reference-audio.mp3"
}
],
"billing": {
"refund": null,
"reservation": null,
"settlement": null
},
"id": "tsk_reference_demo",
"status": "completed"
}
錯誤
POST /api/v1/fish_audio/text_to_speech
回應結構
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
{
"error": "Authentication required"
}
錯誤
POST /api/v1/fish_audio/text_to_speech
回應結構
{
"oneOf": [
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "人類可讀的驗證摘要。",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "以公開請求欄位為鍵的驗證訊息,每個欄位對應一組人類可讀的字串陣列。",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
回應範例
{
"error": "model must be one of: s1, s2-pro, s2.1-pro"
}
錯誤
POST /api/v1/fish_audio/text_to_speech
回應結構
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
{
"error": "Insufficient balance"
}
錯誤
POST /api/v1/fish_audio/text_to_speech
回應結構
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
{
"error": "API key credit limit exceeded"
}
錯誤
POST /api/v1/fish_audio/text_to_speech
回應結構
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
{
"error": "The request uses features that are not supported for the selected model"
}
錯誤
POST /api/v1/fish_audio/text_to_speech
回應結構
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
{
"error": "Rate limit reached. Please retry later."
}
錯誤
POST /api/v1/fish_audio/text_to_speech
回應結構
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
{
"error": "Service under maintenance, please try again later"
}
錯誤
POST /api/v1/fish_audio/text_to_speech
回應結構
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
{
"error": "The request timed out"
}
已生成的程式碼範例
直接使用 cURL,或為您的語言安裝 SDK。每個範例均提交本參考中所示的已驗證請求。
安裝
pip install runapi-fish-audio
import os
from runapi.fish_audio import FishAudioClient
client = FishAudioClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.text_to_speech.run(
model="s1",
text="Welcome to RunAPI."
)